Subject: Re: bug#36170: configure fails on FreeBSD

From: Roger Mason <[email-masked]>
Date: Wed, 12 Jun 2019 12:33:29 -0230

Hello Mark,

Mark H Weaver <[email-masked]> writes:

>> I note also that configure claims my readline library is too old (<
>> 2.1), but I have:
>>
>> pkg info -x readline
>> readline-7.0.5
>
> Something went wrong here.  The relevant check involves compiling a
> small test program that references 'rl_getc_function', which was
> apparently added in readline 2.1.  Something must have gone wrong
> compiling that test program.
>
> After running ./configure, there should be a file 'config.log' which
> includes the failed test program, the compile command used to compile
> it, and the compiler error messages.  Can you search for 'readline' in
> that file and see what went wrong?
>
>       Thanks,
>         Mark

config.log says:

configure:54907: cc -std=gnu11 -o conftest -I/usr/local/include -g -O2
-I/usr/local/include conftest.c -lreadline -lncurses -lcrypt -lm >&5

/usr/bin/ld: cannot find -lreadline

So the error message is a bit misleading.

Cheers,
Roger